com.genesyslab.wfm7.API.service.scheduleTrade712

## Class SchTrade

- java.lang.Object
- - com.genesyslab.wfm7.API.service.scheduleTrade712.SchTrade

- All Implemented Interfaces:
    java.io.Serializable

      public class SchTrade
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `gswProposalAgentId`
    `private int` | `gswResponseAgentId`
    `private double` | `wmApproveDateTime`
    `private java.lang.String` | `wmApprovingUser`
    `private java.lang.String` | `wmComments`
    `private double[]` | `wmDays`
    `private int` | `wmDaysNSizeIs`
    `private double` | `wmExpireDateTime`
    `private int` | `wmProposalPaidMinutes`
    `private int` | `wmResponsePaidMinutes`
    `private int` | `wmSiteId`
    `private int` | `wmStatus`
    `private double` | `wmSubmitDateTime`
    `private int` | `wmTradeId`
    `private int` | `wmTradeProposalId`
    `private int` | `wmTradeResponseId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchTrade()`
    `SchTrade(int wmTradeId, int wmTradeResponseId, int wmTradeProposalId, int wmSiteId, int gswProposalAgentId, int gswResponseAgentId, java.lang.String wmComments, int wmStatus, int wmProposalPaidMinutes, int wmResponsePaidMinutes, double wmSubmitDateTime, double wmExpireDateTime, double wmApproveDateTime, java.lang.String wmApprovingUser, int wmDaysNSizeIs, double[] wmDays)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getGswProposalAgentId()` Gets the gswProposalAgentId value for this SchTrade.
    `int` | `getGswResponseAgentId()` Gets the gswResponseAgentId value for this SchTrade.
    `double` | `getWmApproveDateTime()` Gets the wmApproveDateTime value for this SchTrade.
    `java.lang.String` | `getWmApprovingUser()` Gets the wmApprovingUser value for this SchTrade.
    `java.lang.String` | `getWmComments()` Gets the wmComments value for this SchTrade.
    `double[]` | `getWmDays()` Gets the wmDays value for this SchTrade.
    `int` | `getWmDaysNSizeIs()` Gets the wmDaysNSizeIs value for this SchTrade.
    `double` | `getWmExpireDateTime()` Gets the wmExpireDateTime value for this SchTrade.
    `int` | `getWmProposalPaidMinutes()` Gets the wmProposalPaidMinutes value for this SchTrade.
    `int` | `getWmResponsePaidMinutes()` Gets the wmResponsePaidMinutes value for this SchTrade.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this SchTrade.
    `int` | `getWmStatus()` Gets the wmStatus value for this SchTrade.
    `double` | `getWmSubmitDateTime()` Gets the wmSubmitDateTime value for this SchTrade.
    `int` | `getWmTradeId()` Gets the wmTradeId value for this SchTrade.
    `int` | `getWmTradeProposalId()` Gets the wmTradeProposalId value for this SchTrade.
    `int` | `getWmTradeResponseId()` Gets the wmTradeResponseId value for this SchTrade.
    `int` | `hashCode()`
    `void` | `setGswProposalAgentId(int gswProposalAgentId)` Sets the gswProposalAgentId value for this SchTrade.
    `void` | `setGswResponseAgentId(int gswResponseAgentId)` Sets the gswResponseAgentId value for this SchTrade.
    `void` | `setWmApproveDateTime(double wmApproveDateTime)` Sets the wmApproveDateTime value for this SchTrade.
    `void` | `setWmApprovingUser(java.lang.String wmApprovingUser)` Sets the wmApprovingUser value for this SchTrade.
    `void` | `setWmComments(java.lang.String wmComments)` Sets the wmComments value for this SchTrade.
    `void` | `setWmDays(double[] wmDays)` Sets the wmDays value for this SchTrade.
    `void` | `setWmDaysNSizeIs(int wmDaysNSizeIs)` Sets the wmDaysNSizeIs value for this SchTrade.
    `void` | `setWmExpireDateTime(double wmExpireDateTime)` Sets the wmExpireDateTime value for this SchTrade.
    `void` | `setWmProposalPaidMinutes(int wmProposalPaidMinutes)` Sets the wmProposalPaidMinutes value for this SchTrade.
    `void` | `setWmResponsePaidMinutes(int wmResponsePaidMinutes)` Sets the wmResponsePaidMinutes value for this SchTrade.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this SchTrade.
    `void` | `setWmStatus(int wmStatus)` Sets the wmStatus value for this SchTrade.
    `void` | `setWmSubmitDateTime(double wmSubmitDateTime)` Sets the wmSubmitDateTime value for this SchTrade.
    `void` | `setWmTradeId(int wmTradeId)` Sets the wmTradeId value for this SchTrade.
    `void` | `setWmTradeProposalId(int wmTradeProposalId)` Sets the wmTradeProposalId value for this SchTrade.
    `void` | `setWmTradeResponseId(int wmTradeResponseId)` Sets the wmTradeResponseId value for this SchTrade.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmTradeId

          private int wmTradeId

    - #### wmTradeResponseId

          private int wmTradeResponseId

    - #### wmTradeProposalId

          private int wmTradeProposalId

    - #### wmSiteId

          private int wmSiteId

    - #### gswProposalAgentId

          private int gswProposalAgentId

    - #### gswResponseAgentId

          private int gswResponseAgentId

    - #### wmComments

          private java.lang.String wmComments

    - #### wmStatus

          private int wmStatus

    - #### wmProposalPaidMinutes

          private int wmProposalPaidMinutes

    - #### wmResponsePaidMinutes

          private int wmResponsePaidMinutes

    - #### wmSubmitDateTime

          private double wmSubmitDateTime

    - #### wmExpireDateTime

          private double wmExpireDateTime

    - #### wmApproveDateTime

          private double wmApproveDateTime

    - #### wmApprovingUser

          private java.lang.String wmApprovingUser

    - #### wmDaysNSizeIs

          private int wmDaysNSizeIs

    - #### wmDays

          private double[] wmDays

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### SchTrade

          public SchTrade()

    - #### SchTrade

          public SchTrade(int wmTradeId,
                  int wmTradeResponseId,
                  int wmTradeProposalId,
                  int wmSiteId,
                  int gswProposalAgentId,
                  int gswResponseAgentId,
                  java.lang.String wmComments,
                  int wmStatus,
                  int wmProposalPaidMinutes,
                  int wmResponsePaidMinutes,
                  double wmSubmitDateTime,
                  double wmExpireDateTime,
                  double wmApproveDateTime,
                  java.lang.String wmApprovingUser,
                  int wmDaysNSizeIs,
                  double[] wmDays)

  - ### Method Detail

    - #### getWmTradeId

          public int getWmTradeId()

      Gets the wmTradeId value for this SchTrade.
      Returns:
        wmTradeId A unique trade ID

    - #### setWmTradeId

          public void setWmTradeId(int wmTradeId)

      Sets the wmTradeId value for this SchTrade.
      Parameters:
        `wmTradeId` - A unique trade ID

    - #### getWmTradeResponseId

          public int getWmTradeResponseId()

      Gets the wmTradeResponseId value for this SchTrade.
      Returns:
        wmTradeResponseId An ID of response in trade

    - #### setWmTradeResponseId

          public void setWmTradeResponseId(int wmTradeResponseId)

      Sets the wmTradeResponseId value for this SchTrade.
      Parameters:
        `wmTradeResponseId` - An ID of response in trade

    - #### getWmTradeProposalId

          public int getWmTradeProposalId()

      Gets the wmTradeProposalId value for this SchTrade.
      Returns:
        wmTradeProposalId An ID of proposal in trade

    - #### setWmTradeProposalId

          public void setWmTradeProposalId(int wmTradeProposalId)

      Sets the wmTradeProposalId value for this SchTrade.
      Parameters:
        `wmTradeProposalId` - An ID of proposal in trade

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this SchTrade.
      Returns:
        wmSiteId Site ID

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this SchTrade.
      Parameters:
        `wmSiteId` - Site ID

    - #### getGswProposalAgentId

          public int getGswProposalAgentId()

      Gets the gswProposalAgentId value for this SchTrade.
      Returns:
        gswProposalAgentId Proposing agent ID

    - #### setGswProposalAgentId

          public void setGswProposalAgentId(int gswProposalAgentId)

      Sets the gswProposalAgentId value for this SchTrade.
      Parameters:
        `gswProposalAgentId` - Proposing agent ID

    - #### getGswResponseAgentId

          public int getGswResponseAgentId()

      Gets the gswResponseAgentId value for this SchTrade.
      Returns:
        gswResponseAgentId Responding agent ID

    - #### setGswResponseAgentId

          public void setGswResponseAgentId(int gswResponseAgentId)

      Sets the gswResponseAgentId value for this SchTrade.
      Parameters:
        `gswResponseAgentId` - Responding agent ID

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the wmComments value for this SchTrade.
      Returns:
        wmComments May contain a reason why trade was declined (if it was).

    - #### setWmComments

          public void setWmComments(java.lang.String wmComments)

      Sets the wmComments value for this SchTrade.
      Parameters:
        `wmComments` - May contain a reason why trade was declined (if it was).

    - #### getWmStatus

          public int getWmStatus()

      Gets the wmStatus value for this SchTrade.
      Returns:
        wmStatus Trade Status
      See Also:
        `ESchTradeStatus`

    - #### setWmStatus

          public void setWmStatus(int wmStatus)

      Sets the wmStatus value for this SchTrade.
      Parameters:
        `wmStatus` - Trade Status
      See Also:
        `ESchTradeStatus`

    - #### getWmProposalPaidMinutes

          public int getWmProposalPaidMinutes()

      Gets the wmProposalPaidMinutes value for this SchTrade.
      Returns:
        wmProposalPaidMinutes Total of proposed schedule trade paid minutes

    - #### setWmProposalPaidMinutes

          public void setWmProposalPaidMinutes(int wmProposalPaidMinutes)

      Sets the wmProposalPaidMinutes value for this SchTrade.
      Parameters:
        `wmProposalPaidMinutes` - Total of proposed schedule trade paid minutes

    - #### getWmResponsePaidMinutes

          public int getWmResponsePaidMinutes()

      Gets the wmResponsePaidMinutes value for this SchTrade.
      Returns:
        wmResponsePaidMinutes Total of response schedule trade paid minutes

    - #### setWmResponsePaidMinutes

          public void setWmResponsePaidMinutes(int wmResponsePaidMinutes)

      Sets the wmResponsePaidMinutes value for this SchTrade.
      Parameters:
        `wmResponsePaidMinutes` - Total of response schedule trade paid minutes

    - #### getWmSubmitDateTime

          public double getWmSubmitDateTime()

      Gets the wmSubmitDateTime value for this SchTrade.
      Returns:
        wmSubmitDateTime A date and time when trade record was created.

    - #### setWmSubmitDateTime

          public void setWmSubmitDateTime(double wmSubmitDateTime)

      Sets the wmSubmitDateTime value for this SchTrade.
      Parameters:
        `wmSubmitDateTime` - A date and time when trade record was created.

    - #### getWmExpireDateTime

          public double getWmExpireDateTime()

      Gets the wmExpireDateTime value for this SchTrade.
      Returns:
        wmExpireDateTime A trade expiration date and time

    - #### setWmExpireDateTime

          public void setWmExpireDateTime(double wmExpireDateTime)

      Sets the wmExpireDateTime value for this SchTrade.
      Parameters:
        `wmExpireDateTime` - A trade expiration date and time

    - #### getWmApproveDateTime

          public double getWmApproveDateTime()

      Gets the wmApproveDateTime value for this SchTrade.
      Returns:
        wmApproveDateTime Time of approval (if trade was approved)

    - #### setWmApproveDateTime

          public void setWmApproveDateTime(double wmApproveDateTime)

      Sets the wmApproveDateTime value for this SchTrade.
      Parameters:
        `wmApproveDateTime` - Time of approval (if trade was approved)

    - #### getWmApprovingUser

          public java.lang.String getWmApprovingUser()

      Gets the wmApprovingUser value for this SchTrade.
      Returns:
        wmApprovingUser Approving user name (if trade was approved)

    - #### setWmApprovingUser

          public void setWmApprovingUser(java.lang.String wmApprovingUser)

      Sets the wmApprovingUser value for this SchTrade.
      Parameters:
        `wmApprovingUser` - Approving user name (if trade was approved)

    - #### getWmDaysNSizeIs

          public int getWmDaysNSizeIs()

      Gets the wmDaysNSizeIs value for this SchTrade.
      Returns:
        wmDaysNSizeIs Dates array size

    - #### setWmDaysNSizeIs

          public void setWmDaysNSizeIs(int wmDaysNSizeIs)

      Sets the wmDaysNSizeIs value for this SchTrade.
      Parameters:
        `wmDaysNSizeIs` - Dates array size

    - #### getWmDays

          public double[] getWmDays()

      Gets the wmDays value for this SchTrade.
      Returns:
        wmDays Trade dates array

    - #### setWmDays

          public void setWmDays(double[] wmDays)

      Sets the wmDays value for this SchTrade.
      Parameters:
        `wmDays` - Trade dates array

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.